Debian Bug report logs - #460591
ITP: falconpl -- The Falcon Programming Language

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Giancarlo Niccolai <gc@falconpl.org>

Date: Sun, 13 Jan 2008 21:30:04 UTC

Owned by: "Kartik Mistry" <kartik@debian.org>

Severity: wishlist

Fixed in version falconpl/0.9.6.9-git20120427-1

Done: Kartik Mistry <kartik@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, giancarlo niccolai <gc@falconpl.org>:
Bug#460591; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Giancarlo Niccolai <gc@falconpl.org>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>, giancarlo niccolai <gc@falconpl.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Giancarlo Niccolai <gc@falconpl.org>
To: submit@bugs.debian.org
Subject: ITP: Falcon -- The Falcon Programming Language
Date: Sun, 13 Jan 2008 22:25:13 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Package: wnpp
Severity: wishlist
Owner: Giancarlo Niccolai <gc@falconpl.org>

* Package name    : falcon
  Version         : 0.8.6
  Upstream Author : Giancarlo niccolai <gc@niccolai.cc>
* URL             : http://www.falconpl.org
* License         : Falcon License (from Apache License 2.0, see below)
  Programming Lang: C++
  Description     : Small multi-paradigm embeddable programming language

Falcon aims to be the next generation scripting language,
providing a wide set of programming paradigms, template file
processing for web development and document based applications,
radical internationalization and application extension support.

It is distributed under the Falcon Programming Language License,
which is meant to grant openness and usability of the language and of its
by-products as pre-compiled script. The license is based
on Apache 2.0 license, extending license principles also to
embedding applications and embedded scripts.

The integral text of the license is reported below.

                       Falcon Programming Language License
                           Version 1.0, February 2005
                     http://www.falconpl.org/?page_id=license

   TERMS AND CONDITIONS FOR USE, REPRODUCTION, AND DISTRIBUTION

   1. Definitions.

      "License" shall mean the terms and conditions for use, reproduction,
      and distribution as defined by Sections 1 through 9 of this
document.

      "Licensor" shall mean the copyright owner or entity authorized by
      the copyright owner that is granting the License.

      "Legal Entity" shall mean the union of the acting entity and all
      other entities that control, are controlled by, or are under common
      control with that entity. For the purposes of this definition,
      "control" means (i) the power, direct or indirect, to cause the
      direction or management of such entity, whether by contract or
      otherwise, or (ii) ownership of fifty percent (50%) or more of the
      outstanding shares, or (iii) beneficial ownership of such entity.

      "You" (or "Your") shall mean an individual or Legal Entity
      exercising permissions granted by this License.

      "Source" form shall mean the preferred form for making
modifications,
      including but not limited to software source code and example code.

      "Object" form shall mean any form resulting from mechanical
      transformation or translation of a Source form, including but
      not limited to compiled object code, generated documentation,
      and conversions to other media types.

      "Work" shall mean the work of authorship, whether in Source or
      Object form, made available under the License, as indicated by a
      copyright notice that is included in or attached to the work
      (an example is provided in the Appendix below).

      "Derivative Works" shall mean any work, whether in Source or Object
      form, that is based on (or derived from) the Work and for which the
      editorial revisions, annotations, elaborations, or other
modifications
      represent, as a whole, an original work of authorship. For the
purposes
      of this License, Derivative Works shall not include works that
remain
      separable from, or merely link (or bind by name) to the
interfaces of,
      the Work and Derivative Works thereof.

      "Embedding Works" shall mean any work, whether in Source or
Object form,
      that links (or binds by name) to the interface of the Work and
Derivative
      Works.

      "Scripts" shall mean any work, weather in Source or Object form,
that
      is expressed through the grammar rules which are known by the Work.

      "Users" shall mean any person that uses, directly or indirectly,
all or
      any of the Work, the Derivative Works, the Embedding Works or the
      Scripts.

      "Contribution" shall mean any work of authorship, including
      the original version of the Work and any modifications or additions
      to that Work or Derivative Works thereof, that is intentionally
      submitted to Licensor for inclusion in the Work by the copyright
owner
      or by an individual or Legal Entity authorized to submit on
behalf of
      the copyright owner. For the purposes of this definition,
"submitted"
      means any form of electronic, verbal, or written communication sent
      to the Licensor or its representatives, including but not limited to
      communication on electronic mailing lists, source code control
systems,
      and issue tracking systems that are managed by, or on behalf of, the
      Licensor for the purpose of discussing and improving the Work, but
      excluding communication that is conspicuously marked or otherwise
      designated in writing by the copyright owner as "Not a
Contribution."

      "Contributor" shall mean Licensor and any individual or Legal Entity
      on behalf of whom a Contribution has been received by Licensor and
      subsequently incorporated within the Work.

   2. Grant of Copyright License. Subject to the terms and conditions of
      this License, each Contributor hereby grants to You a perpetual,
      worldwide, non-exclusive, no-charge, royalty-free, irrevocable
      copyright license to reproduce, prepare Derivative Works of, prepare
      Embedding Works, prepare Scripts, publicly display, publicly
perform,
      sublicense, and distribute the Work and such Derivative Works in
Source
      or Object form.

   3. Grant of Patent License. Subject to the terms and conditions of
      this License, each Contributor hereby grants to You a perpetual,
      worldwide, non-exclusive, no-charge, royalty-free, irrevocable
      (except as stated in this section) patent license to make, have
made,
      use, offer to sell, sell, import, and otherwise transfer the Work,
      where such license applies only to those patent claims licensable
      by such Contributor that are necessarily infringed by their
      Contribution(s) alone or by combination of their Contribution(s)
      with the Work to which such Contribution(s) was submitted. If You
      institute patent litigation against any entity (including a
      cross-claim or counterclaim in a lawsuit) alleging that the Work
      or a Contribution incorporated within the Work constitutes direct
      or contributory patent infringement, then any patent licenses
      granted to You under this License for that Work shall terminate
      as of the date such litigation is filed.

   4. Redistribution of Work and Derivative Works. You may reproduce and
      distribute copies of the Work or Derivative Works thereof in any
      medium, with or without modifications, and in Source or Object form,
      provided that You meet the following conditions:

      (a) You must give any other recipients of the Work or
          Derivative Works a copy of this License; and

      (b) You must cause any modified files to carry prominent notices
          stating that You changed the files; and

      (c) You must retain, in the Source form of any Derivative Works
          that You distribute, all copyright, patent, trademark, and
          attribution notices from the Source form of the Work,
          excluding those notices that do not pertain to any part of
          the Derivative Works; and

      (d) You must state in the Source Form and in the documentation of
          any Derivative Work the fact that such work is a derivation of
          the Work, and include a copy of the Work in its Source form or
          provide directions on how to obtain a copy of the Work in its
          Source form; and

      (e) The Derivative Works are distributed under the terms of this
          License, or under terms that do not cause infringement of this
          License.

   5. Distribution of Embedding Works and Scripts. You may produce and
      distribute any Embedding Work or Scripts thereof in any medium, in
      Source or Object form, provided You meet the following conditions:

       (a) The Embedding Works and Scripts are distributed under the term
           of this License, or the application of another License is
           explicitly stated in the documentation of the Embedding Works
           and Scripts or included in the Source form of the Embedding
           Works and Scripts; and

       (b) The Embedding Works carry a prominent notice in their
           documentation, or when not applicable, in any place that the
           Users are exposed to, about the fact that the Work is embedded,
           along with a general statement about the task that the Work is
           performing in the Embedding Works; and

       (c) If the Source form of Embedding Works is distributed or made
           available to the Users in any medium and by any means, the
           portions of the Source form that causes the Work to be embedded
           must carry a prominent notice about this fact, along with a
general
           statement about the task that the Work is performing in the
           Embedded Works; and

       (d) If the Source form of Scripts is not distributed nor made
           available by any mean to the Users, a prominent notice
about the
           fact that the Scripts have been written in the Language must be
           presented in a place which the Users are exposed to.

   6. Submission of Contributions. Unless You explicitly state otherwise,
      any Contribution intentionally submitted for inclusion in the Work
      by You to the Licensor shall be under the terms and conditions of
      this License, without any additional terms or conditions.
      Notwithstanding the above, nothing herein shall supersede or modify
      the terms of any separate license agreement You may have executed
      with Licensor regarding such Contributions.

   7. Trademarks. This License does not grant permission to use the trade
      names, trademarks, service marks, or product names of the Licensor,
      except as required for reasonable and customary use in
describing the
      origin of the Work and reproducing the content of the NOTICE file.

   8. Disclaimer of Warranty. Unless required by applicable law or
      agreed to in writing, Licensor provides the Work (and each
      Contributor provides its Contributions) on an "AS IS" BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
      implied, including, without limitation, any warranties or conditions
      of TITLE, NON-INFRINGEMENT, MERCHANTABILITY, or FITNESS FOR A
      PARTICULAR PURPOSE. You are solely responsible for determining the
      appropriateness of using or redistributing the Work and assume any
      risks associated with Your exercise of permissions under this
License.

   9. Limitation of Liability. In no event and under no legal theory,
      whether in tort (including negligence), contract, or otherwise,
      unless required by applicable law (such as deliberate and grossly
      negligent acts) or agreed to in writing, shall any Contributor be
      liable to You for damages, including any direct, indirect, special,
      incidental, or consequential damages of any character arising as a
      result of this License or out of the use or inability to use the
      Work (including but not limited to damages for loss of goodwill,
      work stoppage, computer failure or malfunction, or any and all
      other commercial damages or losses), even if such Contributor
      has been advised of the possibility of such damages.

   10.Accepting Warranty or Additional Liability. While redistributing
      the Work or Derivative Works thereof, You may choose to offer,
      and charge a fee for, acceptance of support, warranty, indemnity,
      or other liability obligations and/or rights consistent with this
      License. However, in accepting such obligations, You may act only
      on Your own behalf and on Your sole responsibility, not on behalf
      of any other Contributor, and only if You agree to indemnify,
      defend, and hold each Contributor harmless for any liability
      incurred by, or claims asserted against, such Contributor by reason
      of Your accepting any such warranty or additional liability.

   END OF TERMS AND CONDITIONS



- -- System Information:
Debian Release: lenny/sid
  APT prefers gutsy-updates
  APT policy: (500, 'gutsy-updates'), (500, 'gutsy-security'), (500,
'gutsy')
Architecture: i386 (i686)

Kernel: Linux 2.6.22-14-generic (SMP w/4 CPU cores)
Locale: LANG=it_IT.UTF-8, LC_CTYPE=it_IT.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iD8DBQFHioG45nwsoBIDC4YRAj+YAJ9ZnZAKBIzuF8yk36HyK6k49RwFpgCffhKw
3QmRmpgDKYs/EFI+Z3NbvMQ=
=d4Y0
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, giancarlo niccolai <gc@falconpl.org>:
Bug#460591; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Scott Kitterman <scott@kitterman.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, giancarlo niccolai <gc@falconpl.org>. Full text and rfc822 format available.

Message #10 received at 460591@bugs.debian.org (full text, mbox):

From: Scott Kitterman <scott@kitterman.com>
To: Giancarlo Niccolai <gc@falconpl.org>, 460591@bugs.debian.org
Subject: Re: Bug#460591: ITP: Falcon -- The Falcon Programming Language
Date: Mon, 14 Jan 2008 15:13:06 -0500
On Sunday 13 January 2008 16:32, Giancarlo Niccolai wrote:

> * Package name    : falcon

Will you be willing to package this a the falconpl package?




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, giancarlo niccolai <gc@falconpl.org>:
Bug#460591; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Giancarlo Niccolai <gc@falconpl.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, giancarlo niccolai <gc@falconpl.org>. Full text and rfc822 format available.

Message #15 received at 460591@bugs.debian.org (full text, mbox):

From: Giancarlo Niccolai <gc@falconpl.org>
To: Scott Kitterman <scott@kitterman.com>
Cc: 460591@bugs.debian.org
Subject: Re: Bug#460591: ITP: Falcon -- The Falcon Programming Language
Date: Tue, 15 Jan 2008 09:41:12 +0100
Scott Kitterman wrote:
> On Sunday 13 January 2008 16:32, Giancarlo Niccolai wrote:
>
>   
>> * Package name    : falcon
>>     
>
> Will you be willing to package this a the falconpl package?
>   
Yes. The discussion ongoing on other debian based distros may lead to 
this solution, and I don't want to maintain two separate packages. Also, 
falconpl is the name of the site so it's kinda helpful. I suppose I can 
rename the package at any time before it is finally accepted, right?

Giancarlo.





Changed Bug title to `ITP: falcon -- The Falcon Programming Language' from `ITP: Falcon -- The Falcon Programming Language'. Request was from Thomas Huriaux <thomas.huriaux@gmail.com> to control@bugs.debian.org. (Sat, 19 Jan 2008 10:33:04 GMT) Full text and rfc822 format available.

Changed Bug title to `ITP: falconpl -- The Falcon Programming Language' from `ITP: falcon -- The Falcon Programming Language'. Request was from Sebastian Pipping <webmaster@hartwork.org> to control@bugs.debian.org. (Sun, 20 Jan 2008 04:24:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, giancarlo niccolai <gc@falconpl.org>:
Bug#460591; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to MJ Ray <mjr@phonecoop.coop>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, giancarlo niccolai <gc@falconpl.org>. Full text and rfc822 format available.

Message #24 received at 460591@bugs.debian.org (full text, mbox):

From: MJ Ray <mjr@phonecoop.coop>
To: debian-legal@lists.debian.org
Cc: 460591@bugs.debian.org
Subject: Re: Falcon P.L. license (ITP:Bug#460591)
Date: Tue, 25 Mar 2008 10:58:00 +0000 (GMT)
Giancarlo Niccolai <gc@falconpl.org> wrote: [...]
> The license is tightly based on Apache 2, with extra clarifications
> and permissions. [...]

Summary: I believe that any interpreter under this Falcon P.L. licence
will contaminate other software and so fail DFSG 9.  Also, I think the
licence contains lawyerbombs (things relying on court rulings which
haven't been stated, maybe because they haven't occurred yet).


In general, I'm disappointed to see this licence proliferation.

I'm only going to look at differences with the Apache licence 2.0.
Terms marked [-...] are in Apache, terms marked {+...} are in Falcon.
I've tried to ignore the extensive punctuation and heading changes.

(Command for rc shell:
wdiff <{curl -s http://www.apache.org/licenses/LICENSE-2.0.txt} <{curl -s 'http://www.falconpl.org/?page_id=license' | dexml}
)

First changes are in the definitions (tightly?).  I'm very
uncomfortable with these, as they affect the whole licence.

making modifications,  including but not limited
to software source [-code, documentation      ]
[-source,] {+code} and [-configuration files.     ]
 {+example code.}

This change seems OK - documentation is software here - but what
does this mean for configuration files?


New definitions:-

{+"Embedding Works" shall mean any work,}
{+whether in Source or Object form, that links}
{+(or binds by name) to the interface of the}
{+Work and Derivative Works.}  {+"Scripts" shall mean}
{+any work, weather in Source or Object form,}
{+that is expressed through the grammar rules which}
{+are known by the Work.}   {+"Users" shall}
{+mean any person that uses, directly or indirectly,}
{+all or any of the Work, the Derivative Works,}
{+the Embedding Works or the Scripts.}

Claiming any copyright over Scripts gives me the heebie-jeebies.
More importantly, that seems like an obvious failure of DFSG 9 by
contaminating other software.

Also, surely Users is a court-defined term?  What is the effect of
trying to override that here?

Finally, it contains a homophone error ("weather" instead of "whether").


4(d) is very hard to read in wdiff.  It appears to be a total
rewrite.  Falcon version:-

  # If the Source form of Scripts is not distributed nor made available
  by any mean to the Users, a prominent notice about the fact that the
  Scripts have been written in the Language must be presented in a place
  which the Users are exposed to.

A new obnoxious advertising clause.  Probably won't break DFSG, but I
don't like it for practical reasons.

On the plus side, we lose the NOTICE's potential for DFSG-busting from
the Apache 2.0 licence.

Other than that, it differs from Apache 2.0 in missing the How to
Apply appendix, which isn't serious, but seems a bit user-unfriendly.

Hope that helps,
-- 
MJR/slef
My Opinion Only: see http://people.debian.org/~mjr/
Please follow http://www.uk.debian.org/MailingLists/#codeofconduct





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, giancarlo niccolai <gc@falconpl.org>:
Bug#460591; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Giancarlo Niccolai <gc@falconpl.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, giancarlo niccolai <gc@falconpl.org>. Full text and rfc822 format available.

Message #29 received at 460591@bugs.debian.org (full text, mbox):

From: Giancarlo Niccolai <gc@falconpl.org>
To: 460591@bugs.debian.org, debian-legal@lists.debian.org
Subject: Re: Bug#460591: Falcon P.L. license (ITP:Bug#460591)
Date: Tue, 25 Mar 2008 20:35:50 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

MJ Ray wrote:
> Giancarlo Niccolai <gc@falconpl.org> wrote: [...]
>> The license is tightly based on Apache 2, with extra
>> clarifications and permissions. [...]
>
> Summary: I believe that any interpreter under this Falcon P.L.
> licence will contaminate other software and so fail DFSG 9.
About this, I would like to fix this if it's so, but in the rest of
your review i can't trace what element of the license would break the
DSFG and which point of DSFG would be broken.

> Also, I think the licence contains lawyerbombs (things relying on
> court rulings which haven't been stated, maybe because they haven't
> occurred yet).
About this, there's nothing I (or anyone) can do now, except get a
legal advice as I am doing.
>
>
> In general, I'm disappointed to see this licence proliferation.
I am too.

There isn't any single open source mainstream programming language or
even compiler I know, including clisp, gcc, PHP, python, swi-prolog,
ruby, harbour and xharbour (little known clipper clones OS projects I
worked in),  that isn't distributed under either a propetary
non-reapplicable license or under a commonly known license with
exceptions. IMHO, exceptions are much worse than license
proliferation, as they modify a "lawfully certified" text and
unbalance it, and their effect isn't always fully understandable by
the time the exceptions are written.

The only language that doesn't do so that I am aware of is PERL, which
is distributed with double licensing, pure GPL and Artistic, both
without exceptions.

All this license proliferation in this area seems to mean that there
isn't a well known certified license that covers even the *basic*
needs of v.m. based languages (nor the needs of libraries of
compiled-linked languages). Among the "ready made" solutions, the one
that was attracting me the most was swi-prolog's but still swi prolog
was not made to be embedded and there isn't any statement about using
swi-prolog as an engine for 3d-party programs, which anyone would
agree that is a bit more and different than what they stated
originally with the term "/if you link this library with other files,
compiled with a Free Software compiler, to produce an executable".
/Also, this would have caused Falcon to be a bit incompatible with
embedding applications made with Visual Studio, and this is definitely
not acceptable.

It's because I am absolutely disappointed with license proliferation
that I tried to write one that was covering exactly the needs of this
application category, and decided to make it "open", that is, not
private  or special for my language.

Nevertheless, you'll admit that starting a review with such a sentence
does not suggest a constructive critic attitude towards the object of
the review...
//
>
>
> Claiming any copyright over Scripts gives me the heebie-jeebies.
> More importantly, that seems like an obvious failure of DFSG 9 by
> contaminating other software.
To me too.

In fact, the FPLL doesn't claim any copyright on scripts. It just
*defines* them to state they are *free* from possible copyright claims
( ... each Contributor hereby grants to You a perpetual, worldwide,
non-exclusive, no-charge, royalty-free, irrevocable copyright license
to reproduce, prepare ...)

This mean, "no one will mess with your scripts, they copyright to
you". I don't know nor care if this is "automatic", or "already so". I
want it to be clear and legally stated.

Anyhow, let's suppose there is another software not distributed under
FPLL that says the thing you produce with it or that you use to make
it work are subject to copyright restrictions. There isn't any single
article of the DFSG which would contrast with that, as not a single
other software would be affected by that. As long as the openness and
freedom of the software is granted, any software may extend copyright
on any functional component it produces or processes, as i.e. Apache2
license does with configuration files, and this alone won't infring DFSG.

More; Apache2 license states the sentence "including but not limited
to...". In legalese, this means "hey, and also everything else, if we
forgot to say it here". Following your reasoning, this would be quite
a massive breaking of DFSG, but it is not.

Said this, if you or anyone here or in future points out the article
of DFSG that is threatened by FPLL, I will immediately make the
offending part to conform. I *WANT* FPLL to stick with our community
principles, which are quite well drawn by both OSI statement and DFSG.
>
> Also, surely Users is a court-defined term?  What is the effect of
> trying to override that here?
>
If there is any problem, let's change it. To my best knowledge, there
wasn't any problem in using the term "Users" in a legal statement at
the time I wrote FPLL.

> Finally, it contains a homophone error ("weather" instead of
> "whether").
Ops... thanks for pointing it out. Will be fixed.
>
>
> 4(d) is very hard to read in wdiff.  It appears to be a total
> rewrite.  Falcon version:-
>
> # If the Source form of Scripts is not distributed nor made
> available by any mean to the Users, a prominent notice about the
> fact that the Scripts have been written in the Language must be
> presented in a place which the Users are exposed to.
>
> A new obnoxious advertising clause.  Probably won't break DFSG, but
> I don't like it for practical reasons.
Which practical reason?

As I said, this article was written taking into consideration the
principle that users must know the software they run (and I was
advised in that direction by FSF).

You'll notice that this requirement applies only if the targets are
not distributed in source form. This means that the embedders/scripters:
1) have their own copyright on the things they do; we explicit said
we, nor anyone else but them, has it.
2) They are absolutely free to pick the license and distribution terms
they prefer to distribute their software IN Falcon or USING Falcon.
3) They can even produce and distribute closed source applications,
both IN Falcon and USING Falcon (but not works derived from/extending
the core Falcon system; they must be open source).
4) But in this case, and only in this case, they have to state that
Falcon has been used, and why/where. What I want to say is, "ok, you
can ALSO do closed sources things with Falcon, but at least let your
user know what they are running."

You'll notice (and it's specified in the commentary), that there isn't
any requirement about the visibility of this statement. It may even be
a fineprint on the last leaflet of the manual, or the last of the
lines in an scrolling about box. It's a mu-gram ink cost on them, but
this is a very important freedom on the user side.

I have no practical usage for this article except that defending this
community principle, which I would like to see applied by/to any free
software. I can just cut it away, but IMHO this would give a very
marginal freedom to embedders/scripters at the cost of a great freedom
loss on the users.

If I am wrong, please correct me. I just want this to be the best
thing possible for the community, so if people thinks this principle
is not right, or if they think that this wordings are not useful to
defend this principle, please tell me how to reformulate this article
(or if it's better to remove it).

>
> On the plus side, we lose the NOTICE's potential for DFSG-busting
> from the Apache 2.0 licence.
>
> Other than that, it differs from Apache 2.0 in missing the How to
> Apply appendix, which isn't serious, but seems a bit
> user-unfriendly.
There is a commentary, which I posted here, that has the same aims of
the "How to apply" appendix, and hopefully clarifies the license
without introducing further ambiguities or hiding clauses.

>
> Hope that helps,

Yes, absolutely, thanks.

Notice that I will double-license Falcon itself as GPL/FPLL, so the
package can be clean for Debian, yet I really want to provide a
license with the characteristics I have stated here and in other
posts, so I still request help of anyone willing to help me.

Bests,
Giancarlo Niccolai.

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iD8DBQFH6VQW5nwsoBIDC4YRAtUbAKCUw1bqte1LrTMCaYTUfN9mihcPbwCfU3Pw
97z+pXea9KDV2svVEhZGny0=
=wr+9
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, giancarlo niccolai <gc@falconpl.org>:
Bug#460591; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to MJ Ray <mjr@phonecoop.coop>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, giancarlo niccolai <gc@falconpl.org>. Full text and rfc822 format available.

Message #34 received at 460591@bugs.debian.org (full text, mbox):

From: MJ Ray <mjr@phonecoop.coop>
To: 460591@bugs.debian.org, debian-legal@lists.debian.org
Subject: Re: Bug#460591: Falcon P.L. license (ITP:Bug#460591)
Date: Tue, 1 Apr 2008 09:53:29 +0100 (BST)
Giancarlo Niccolai <gc@falconpl.org> skribis:
> MJ Ray wrote: [...]
> > In general, I'm disappointed to see this licence proliferation.
> I am too.
> 
> There isn't any single open source mainstream programming language or
> even compiler I know, including clisp, gcc, PHP, python, swi-prolog,
> ruby, harbour and xharbour (little known clipper clones OS projects I
> worked in),  that isn't distributed under either a propetary
> non-reapplicable license or under a commonly known license with
> exceptions. IMHO, exceptions are much worse than license
> proliferation, as they modify a "lawfully certified" text and
> unbalance it, and their effect isn't always fully understandable by
> the time the exceptions are written.

I disagree.  Furthermore, there's nothing preventing 'lawful
certification' of a licence with the exceptions.  Instead here, if anyone
wants to obtain such certification of Falcon PL, they've got to pay for
a whole new licence to be examined, rather than an increment.

I'm not convinced that the problem being guarded against here is as
big an interference as it's being made out to be.  It seems somewhat
orthogonal to the other licence terms, if done right.

[...]
> Nevertheless, you'll admit that starting a review with such a sentence
> does not suggest a constructive critic attitude towards the object of
> the review...

It wasn't /written/ at the start of the review, if that helps.  Drafting
is a wonderful process, allowing bits of text to be added at the start
after one has written the body.  If the licence had actually brought
some new benefits, instead of drawbacks, I might not be so unhappy that
it's a new one.

[...]
> > Claiming any copyright over Scripts gives me the heebie-jeebies.
> > More importantly, that seems like an obvious failure of DFSG 9 by
> > contaminating other software.
> To me too.
> 
> In fact, the FPLL doesn't claim any copyright on scripts. It just
> *defines* them to state they are *free* from possible copyright claims
> ( ... each Contributor hereby grants to You a perpetual, worldwide,
> non-exclusive, no-charge, royalty-free, irrevocable copyright license
> to reproduce, prepare ...)

Well, to be *able* to give such a grant and for that to be meaningful
in any way, surely the FPL is asserting it has an applicable copyright
interest on the Scripts?  If it wasn't claiming any copyright, its
language about Scripts would be more like the GPL's description that
running the Program needs no permission from the copyright holder.

Did I miss a bit where the licence disclaims copyright interest in the
Scripts?

Anyway, this is the show-stopper.  Contaminates other software.  DFSG 9.
It's the parts of FPL sections 1, 2 and 5 about Scripts.  Clear enough?

[...]
> More; Apache2 license states the sentence "including but not limited
> to...". In legalese, this means "hey, and also everything else, if we
> forgot to say it here". Following your reasoning, this would be quite
> a massive breaking of DFSG, but it is not.

No, the Apache 2 licence does not talk about things which are not part
of that software.

[...4d...]
> > A new obnoxious advertising clause.  Probably won't break DFSG, but
> > I don't like it for practical reasons.
> Which practical reason?

  "When people put many such programs together in an operating system,
  the result is a serious problem. Imagine if a software system required
  75 different sentences, each one naming a different author or group
  of authors. To advertise that, you would need a full-page ad."

  "This might seem like extrapolation ad absurdum, but it is actual
  fact. NetBSD comes with a long list of different sentences, required
  by the various licenses for parts of the system. In a 1997 version of
  NetBSD, I counted 75 of these sentences. I would not be surprised if
  the list has grown by now."

Source: http://www.gnu.org/philosophy/bsd.html

[...]
> > Other than that, it differs from Apache 2.0 in missing the How to
> > Apply appendix, which isn't serious, but seems a bit
> > user-unfriendly.
> There is a commentary, which I posted here, that has the same aims of
> the "How to apply" appendix, and hopefully clarifies the license
> without introducing further ambiguities or hiding clauses.

I didn't see it in the web page http://www.falconpl.org/?page_id=license
but that site has poor accessibility anyway.  http://www.w3.org/TR/WCAG1

> Notice that I will double-license Falcon itself as GPL/FPLL, [...]

Great.  Thanks.
-- 
MJR/slef
My Opinion Only: see http://people.debian.org/~mjr/
Please follow http://www.uk.debian.org/MailingLists/#codeofconduct





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, giancarlo niccolai <gc@falconpl.org>:
Bug#460591; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Giancarlo Niccolai <gc@niccolai.cc>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, giancarlo niccolai <gc@falconpl.org>. Full text and rfc822 format available.

Message #39 received at 460591@bugs.debian.org (full text, mbox):

From: Giancarlo Niccolai <gc@niccolai.cc>
To: 460591@bugs.debian.org
Cc: debian-legal@lists.debian.org
Subject: Re: Bug#460591: Falcon P.L. license (ITP:Bug#460591)
Date: Tue, 01 Apr 2008 20:09:02 +0200
MJ Ray wrote:
> Giancarlo Niccolai <gc@falconpl.org> skribis:
>   
>> MJ Ray wrote: [...]
>>     
>>> In general, I'm disappointed to see this licence proliferation.
>>>       
>> I am too.
>>
>> There isn't any single open source mainstream programming language or
>> even compiler I know, including clisp, gcc, PHP, python, swi-prolog,
>> ruby, harbour and xharbour (little known clipper clones OS projects I
>> worked in),  that isn't distributed under either a propetary
>> non-reapplicable license or under a commonly known license with
>> exceptions. IMHO, exceptions are much worse than license
>> proliferation, as they modify a "lawfully certified" text and
>> unbalance it, and their effect isn't always fully understandable by
>> the time the exceptions are written.
>>     
>
> I disagree.  Furthermore, there's nothing preventing 'lawful
> certification' of a licence with the exceptions.  Instead here, if anyone
> wants to obtain such certification of Falcon PL, they've got to pay for
> a whole new licence to be examined, rather than an increment.
>   
There are cases in which analyzing exceptions costs more than analyzing
a whole new thing. A programmer should know... ;-)

For one thing, it's a problem for developers of software which
integrates with target applications so deeply.

I would have really loved to have a license that was fitting the needs
for a scripting language, as PHP, Ruby's and Python does, but that are
kept foundation specific. You can't immagine how much time and money is
consuming to search through all those exceptions and finally decide they
are inadequate.

>
> Well, to be *able* to give such a grant and for that to be meaningful
> in any way, surely the FPL is asserting it has an applicable copyright
> interest on the Scripts?  If it wasn't claiming any copyright, its
> language about Scripts would be more like the GPL's description that
> running the Program needs no permission from the copyright holder.
>   
There is, i think; this is the new formulation of the article, but the
relevant part which I am marking was there also in the previous version:

*2 Grant of Copyright License*. Subject to the terms and conditions of
this License, each Contributor hereby grants to You a perpetual,
worldwide, non-exclusive, no-charge, royalty-free, irrevocable copyright
license to reproduce, prepare Derivative Works of, prepare Embedding
Works, prepare Applications of the Work, publicly display, *publicly
perform*, sublicense, and distribute the Work and such Derivative Works
in Source or Object form.

To my best knowledge, *publicly perform* means *run as/where/how you like*.

Now, changed the term "Scripts" in "Applications of the Work", defined as:

"Applications of the Work" shall mean any work, whether in Source or
Object form, that is expressed through the grammar rules which are known
by the Work and that require the Work to perform its execution.

In other words, "the things (usually scripts, but also pre-compiled
code) run with THE work". There isn't anymore a reference to a specific
programming language. Also, I removed the term script (and didn't
substitute it with the term "Applications of the Work") from the
copyleft claim; so scripts (even the one composing an application of the
work) are not contaminated by the license. It's an application in the
whole, that is, the engine in the act of running scripts, that is
covered; script by themselves are not mentioned directly nor indirectly
on the new version of the license. The spirit is the same, but the
wordings may have lead to confusion; I plainly admit it.

> Anyway, this is the show-stopper.  Contaminates other software.  DFSG 9.
> It's the parts of FPL sections 1, 2 and 5 about Scripts.  Clear enough?
>   
Yes, your position is now clear, thanks.

Yet, I can't see why you say it contaminates more software. The license
just applies to software that uses Falcon; scripts (falcon scripts) do
it and embedding applications do it; of course, also derivative work do
it. I can't see why requiring for them to be closed source and putting a
notice or open source with FPLL or with another compatible open source
license (as GPL or LGPL) would be more infringing than i.e. GPL itself.

> [...]
>   
>> More; Apache2 license states the sentence "including but not limited
>> to...". In legalese, this means "hey, and also everything else, if we
>> forgot to say it here". Following your reasoning, this would be quite
>> a massive breaking of DFSG, but it is not.
>>     
>
> No, the Apache 2 licence does not talk about things which are not part
> of that software.
>
>   
I see your point. The term "script" was too generic and fuzzy even with
the definition of "scripts" as the things being the ones written IN
Falcon and run WITH Falcon.

That the reason why I changed "Scripts" into "Applications of the Work".
> [...4d...]
>   
>>> A new obnoxious advertising clause.  Probably won't break DFSG, but
>>> I don't like it for practical reasons.
>>>       
>> Which practical reason?
>>     
>
>   "When people put many such programs together in an operating system,
>   the result is a serious problem. Imagine if a software system required
>   75 different sentences, each one naming a different author or group
>   of authors. To advertise that, you would need a full-page ad."
>
>   "This might seem like extrapolation ad absurdum, but it is actual
>   fact. NetBSD comes with a long list of different sentences, required
>   by the various licenses for parts of the system. In a 1997 version of
>   NetBSD, I counted 75 of these sentences. I would not be surprised if
>   the list has grown by now."
>
> Source: http://www.gnu.org/philosophy/bsd.html
>   
Then let it grow. Be it 75 or 750 or 7500, they are still 2, 3 or 4
pages in a thousand pages doc. Bibliography of common tech books is even
wider, and no one has ever been fuzzy about it. Also, no one has ever
questioned the need for a complete bibliography to be somewhere in a
technical or educational book.

No claim is done on the visibility of the note; for one thing, no one is
asking you to place the notice in an ads of your products.

Also, the "advertisement" is part of well known and accepted licenses,
as zlib's and pcre's and BSD, which require the people using that lib to
write a notice about their inclusion in the sources. I don't think I am
stating anything new here.

Finally, if your thing is open source you don't need to put any notice
anywhere (I also removed the requirement for a notice in sources in the
last version of the license). You have to state somewhere you're using a
FPLL covered product if your users can't see your sources. In other
words, an FPLL product won't demand any space among those 75[0]* notices
in BSD, unless they go closed source.

> [...]
>   
>>> Other than that, it differs from Apache 2.0 in missing the How to
>>> Apply appendix, which isn't serious, but seems a bit
>>> user-unfriendly.
>>>       
>> There is a commentary, which I posted here, that has the same aims of
>> the "How to apply" appendix, and hopefully clarifies the license
>> without introducing further ambiguities or hiding clauses.
>>     
>
> I didn't see it in the web page http://www.falconpl.org/?page_id=license
> but that site has poor accessibility anyway.  http://www.w3.org/TR/WCAG1
>
>   
That's because I gave you the direct link to the raw text of the
license. They are always stuck together in distro files and on the pages
from which the license is accessible. Also, I posted the link to the
commentary here.

Anyhow, in the new version of the license I added the appendix "How to
apply" copied from Apache2. Too good that software licenses are
themselves public domain :-)

Thanks for the comments on the site; pitifully, we are short on hands,
and what we have now is all that we can afford in term of effort. A
person with your expertise would surely help.

Thanks for your advices,
Giancarlo Niccolai.





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, giancarlo niccolai <gc@falconpl.org>:
Bug#460591; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to MJ Ray <mjr@phonecoop.coop>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, giancarlo niccolai <gc@falconpl.org>. Full text and rfc822 format available.

Message #44 received at 460591@bugs.debian.org (full text, mbox):

From: MJ Ray <mjr@phonecoop.coop>
To: 460591@bugs.debian.org
Cc: debian-legal@lists.debian.org
Subject: Re: Bug#460591: Falcon P.L. license (ITP:Bug#460591)
Date: Mon, 7 Apr 2008 09:17:30 +0100 (BST)
Giancarlo Niccolai <gc@niccolai.cc> wrote:
> MJ Ray wrote:
> > Anyway, this is the show-stopper.  Contaminates other software.  DFSG 9.
> > It's the parts of FPL sections 1, 2 and 5 about Scripts.  Clear enough?
> >   
> Yes, your position is now clear, thanks.
> 
> Yet, I can't see why you say it contaminates more software. The license
> just applies to software that uses Falcon; scripts (falcon scripts) do
> it and embedding applications do it; of course, also derivative work do
> it. I can't see why requiring for them to be closed source and putting a
> notice or open source with FPLL or with another compatible open source
> license (as GPL or LGPL) would be more infringing than i.e. GPL itself.

The licence for Falcon (this software) is effectively asserting that it
can restrict the scripts (which is some other software).  I can't see
why you think that doesn't contaminate other software, the scripts.

To be free software, the licence for Falcon must not apply to software
that uses Falcon *except* when it is embedded into or extending Falcon
in certain ways.  I'm not even sure that Falcon's licence *can* restrict
the scripts it loads, because:-

  "The interpreted program, to the interpreter, is just data; a free
  software license like the GPL, based on copyright law, cannot limit
  what data you use the interpreter on. You can run it on any data
  (interpreted program), any way you like, and there are no requirements
  about licensing that data to anyone."

Source: http://www.fsf.org/licensing/licenses/gpl-faq.html#IfInterpreterIsGPL

So, the GPL doesn't apply to scripts of a GPL'd interpreter, so FPLL is
different in this way.

> > [...4d...]
> >>> A new obnoxious advertising clause.  Probably won't break DFSG, but
> >>> I don't like it for practical reasons.
> >>>       
[...]
> Also, the "advertisement" is part of well known and accepted licenses,
[...]

Sure.  As I wrote: it probably won't break DFSG but is obnoxious to many.

> Finally, if your thing is open source you don't need to put any notice
> anywhere [...]

Well, that's better than many.  Thanks!

> > [...]
> > I didn't see it in the web page http://www.falconpl.org/?page_id=license
> > but that site has poor accessibility anyway.  http://www.w3.org/TR/WCAG1
> >   
> That's because I gave you the direct link to the raw text of the
> license. They are always stuck together in distro files and on the pages
> from which the license is accessible. Also, I posted the link to the
> commentary here.

I suggest linking the FAQ from the Licence and the reverse.

[...]
> Thanks for the comments on the site; pitifully, we are short on hands,
> and what we have now is all that we can afford in term of effort. A
> person with your expertise would surely help.

Sorry.  Most of my cooperatives are also short on hands and this has a
pretty tenuous link to my work (I use debian for work and strongly support
free software, so encouraging 100% free software for debian has eventual
benefits) so I can't really spend more time, unless the link becomes more
direct, like one of my cooperatives is commissioned to write a study or
bugfix a website or something.

Regards,
-- 
MJ Ray (slef)
Webmaster for hire, statistician and online shop builder for a small
worker cooperative http://www.ttllp.co.uk/ http://mjr.towers.org.uk/
(Notice http://mjr.towers.org.uk/email.html) tel:+44-844-4437-237




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, giancarlo niccolai <gc@falconpl.org>:
Bug#460591; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Giancarlo Niccolai <gc@falconpl.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, giancarlo niccolai <gc@falconpl.org>. Full text and rfc822 format available.

Message #49 received at 460591@bugs.debian.org (full text, mbox):

From: Giancarlo Niccolai <gc@falconpl.org>
To: 460591@bugs.debian.org
Subject: New package for 0.8.10
Date: Wed, 04 Jun 2008 23:42:07 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hello,

I have packaged new 0.8.10 version of Falcon, distributed under dual
license (GPLv2 + our own license):

http://www.falconpl.org/dloads/falcon-0.8.10-deb-sources.tar.gz

I cleaned issues pointed out by Mr. Paul Wise, but Lintian reports the
following problem on one of the binary packages:

http://www.falconpl.org/dloads/falcon-0.8.10-deb-sources.tar.gz

Despite my best efforts, I had not been able to guess the correct
combination of shlibdeps / dh_makeshlibs helper tools to fix this;
also, the problem seems not to be present with the previous version of
dh_* tools, as Lintian didn't report this error for the very same
configuration that was used to release 0.8.8, which was found clean.

I guess this is just a 1-2-3 matter for an expert packager; I hope
someone can lend me a hand.

TIA,
Giancarlo Niccolai.




-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iD8DBQFIRwwv5nwsoBIDC4YRAjOoAJ9wYQomJT+AqEE6mjjyH0Bri6Zo/ACeIXGe
3/sZQtTjdpj+/eZDWM0oC+8=
=Tpc1
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, giancarlo niccolai <gc@falconpl.org>:
Bug#460591; Package wnpp. (Sat, 06 Dec 2008 08:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Giancarlo Niccolai <gc@falconpl.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, giancarlo niccolai <gc@falconpl.org>. (Sat, 06 Dec 2008 08:57:03 GMT) Full text and rfc822 format available.

Message #54 received at 460591@bugs.debian.org (full text, mbox):

From: Giancarlo Niccolai <gc@falconpl.org>
To: 460591@bugs.debian.org
Subject: Falcon releases
Date: Sat, 06 Dec 2008 09:53:24 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hello,

I am updating this bug because we have released version 0.8.14. In the
meanwhile we have adopted dual licensing, (FPLL+GPL2), so the stopper
that prevented The Falcon Programming Language from being shipped by
Debian is removed. FPLL itself has been modified to fit Debian
guidelines.

Major GNU/Linux distributions currently shipping Falcon are:
- - Fedora
- - Ubuntu
- - Slackware
- - Gentoo
- - ArchLinux

Falcon is currently being adopted by Blastawave.org (Solaris community
distro) as language of choice.

The new release source package is available here:

http://www.falconpl.org/project_dl/_official_rel/Falcon-docs-core.0.8.14.tgz

We're starting packaging also relevant modules, as the Apache
integration module and the DBI (database interface).

The package debian/ data listed in this bug is still mainly correct,
and needs only some minor update. Updated file lists can be retrieved
in the Ubuntu falconpl package.

If someone desires to pick up this package and finish committing it to
Debian, I will be pleased to offer any needed support, and we'll add
him/her to our contributor page as packager.

Thank you for your kind attention,
Giancarlo Niccolai.

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iEYEARECAAYFAkk6PYQACgkQ5nwsoBIDC4YjvwCglQ0gpKlKzvNs9OP4mvRS7a1U
PUMAn00FPUBCwX1zcQKf8rGToDQDRNof
=OgH9
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, giancarlo niccolai <gc@falconpl.org>:
Bug#460591; Package wnpp. (Tue, 25 May 2010 17:22:46 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, giancarlo niccolai <gc@falconpl.org>. (Tue, 25 May 2010 17:22:46 GMT) Full text and rfc822 format available.

Message #59 received at 460591@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 460591@bugs.debian.org
Cc: control@bugs.debian.org
Subject: falconpl: changing back from ITP to RFP
Date: Tue, 25 May 2010 17:06:10 +0000
retitle 460591 RFP: falconpl -- The Falcon Programming Language
noowner 460591
thanks

Hi,

This is an automatic email to change the status of falconpl back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 12 months.

If you are still interested in adopting falconpl, please send a mail to
<control@bugs.debian.org> with:

 retitle 460591 ITP: falconpl -- The Falcon Programming Language
 owner 460591 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <460591@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: falconpl -- The Falcon Programming Language' from 'ITP: falconpl -- The Falcon Programming Language' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Tue, 25 May 2010 17:27:28 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by giancarlo niccolai <gc@falconpl.org>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Tue, 25 May 2010 17:27:29 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#460591; Package wnpp. (Tue, 25 May 2010 23:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Giancarlo Niccolai <gc@niccolai.cc>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 25 May 2010 23:12:03 GMT) Full text and rfc822 format available.

Message #68 received at 460591@bugs.debian.org (full text, mbox):

From: Giancarlo Niccolai <gc@niccolai.cc>
To: 460591@bugs.debian.org
Subject: Just a note...
Date: Wed, 26 May 2010 00:01:19 +0200
Development on Falcon is going great and it will be even better in the  
next months.
Falcon is packaged by all the main distros, including Ubuntu and Redhat.

The only one missing is Debian...

Also, as we're shipping with GPL (if you prefer it; or dual license)  
there is no licensing Issue either.

Bests,
GN.





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#460591; Package wnpp. (Wed, 28 Sep 2011 13:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to kartik@debian.org:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 28 Sep 2011 13:00:06 GMT) Full text and rfc822 format available.

Message #73 received at 460591@bugs.debian.org (full text, mbox):

From: Kartik Mistry <kartik@debian.org>
To: 460591@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Packaging falconpl for Debian
Date: Wed, 28 Sep 2011 17:54:47 +0530
retitle 460591 ITP: falconpl -- The Falcon Programming Language
owner 460591 "Kartik Mistry" <kartik@debian.org>
thanks

Hi all,

Since the license issue is resolved. We can go ahead for packaging it
'now'. I'll look into packages/source very soon.

Thanks.

-- 
Kartik Mistry
Debian GNU/Linux Developer
IRC: kart_ | Identica: @kartikm




Changed Bug title to 'ITP: falconpl -- The Falcon Programming Language' from 'RFP: falconpl -- The Falcon Programming Language' Request was from Kartik Mistry <kartik@debian.org> to control@bugs.debian.org. (Wed, 28 Sep 2011 13:00:09 GMT) Full text and rfc822 format available.

Owner recorded as "Kartik Mistry" <kartik@debian.org>. Request was from Kartik Mistry <kartik@debian.org> to control@bugs.debian.org. (Wed, 28 Sep 2011 13:00:09 GMT) Full text and rfc822 format available.

Added indication that bug 460591 blocks 667895 Request was from Niels Thykier <niels@thykier.net> to control@bugs.debian.org. (Sat, 07 Apr 2012 10:57:11 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 30 Apr 2012 20:06:05 GMT) Full text and rfc822 format available.

Reply sent to Kartik Mistry <kartik@debian.org>:
You have taken responsibility. (Sun, 20 May 2012 17:51:03 GMT) Full text and rfc822 format available.

Notification sent to Giancarlo Niccolai <gc@falconpl.org>:
Bug acknowledged by developer. (Sun, 20 May 2012 17:51:03 GMT) Full text and rfc822 format available.

Message #86 received at 460591-close@bugs.debian.org (full text, mbox):

From: Kartik Mistry <kartik@debian.org>
To: 460591-close@bugs.debian.org
Subject: Bug#460591: fixed in falconpl 0.9.6.9-git20120427-1
Date: Sun, 20 May 2012 17:47:12 +0000
Source: falconpl
Source-Version: 0.9.6.9-git20120427-1

We believe that the bug you reported is fixed in the latest version of
falconpl, which is due to be installed in the Debian FTP archive:

falconpl-curl_0.9.6.9-git20120427-1_amd64.deb
  to main/f/falconpl/falconpl-curl_0.9.6.9-git20120427-1_amd64.deb
falconpl-dbg_0.9.6.9-git20120427-1_amd64.deb
  to main/f/falconpl/falconpl-dbg_0.9.6.9-git20120427-1_amd64.deb
falconpl-dbi-firebird_0.9.6.9-git20120427-1_amd64.deb
  to main/f/falconpl/falconpl-dbi-firebird_0.9.6.9-git20120427-1_amd64.deb
falconpl-dbi-mysql_0.9.6.9-git20120427-1_amd64.deb
  to main/f/falconpl/falconpl-dbi-mysql_0.9.6.9-git20120427-1_amd64.deb
falconpl-dbi-postgresql_0.9.6.9-git20120427-1_amd64.deb
  to main/f/falconpl/falconpl-dbi-postgresql_0.9.6.9-git20120427-1_amd64.deb
falconpl-dbi-sqlite3_0.9.6.9-git20120427-1_amd64.deb
  to main/f/falconpl/falconpl-dbi-sqlite3_0.9.6.9-git20120427-1_amd64.deb
falconpl-dbi_0.9.6.9-git20120427-1_amd64.deb
  to main/f/falconpl/falconpl-dbi_0.9.6.9-git20120427-1_amd64.deb
falconpl-dbus_0.9.6.9-git20120427-1_amd64.deb
  to main/f/falconpl/falconpl-dbus_0.9.6.9-git20120427-1_amd64.deb
falconpl-dev_0.9.6.9-git20120427-1_amd64.deb
  to main/f/falconpl/falconpl-dev_0.9.6.9-git20120427-1_amd64.deb
falconpl-dmtx_0.9.6.9-git20120427-1_amd64.deb
  to main/f/falconpl/falconpl-dmtx_0.9.6.9-git20120427-1_amd64.deb
falconpl-gd2_0.9.6.9-git20120427-1_amd64.deb
  to main/f/falconpl/falconpl-gd2_0.9.6.9-git20120427-1_amd64.deb
falconpl-gtk_0.9.6.9-git20120427-1_amd64.deb
  to main/f/falconpl/falconpl-gtk_0.9.6.9-git20120427-1_amd64.deb
falconpl-hpdf_0.9.6.9-git20120427-1_amd64.deb
  to main/f/falconpl/falconpl-hpdf_0.9.6.9-git20120427-1_amd64.deb
falconpl-mongodb_0.9.6.9-git20120427-1_amd64.deb
  to main/f/falconpl/falconpl-mongodb_0.9.6.9-git20120427-1_amd64.deb
falconpl-sdl_0.9.6.9-git20120427-1_amd64.deb
  to main/f/falconpl/falconpl-sdl_0.9.6.9-git20120427-1_amd64.deb
falconpl_0.9.6.9-git20120427-1.debian.tar.gz
  to main/f/falconpl/falconpl_0.9.6.9-git20120427-1.debian.tar.gz
falconpl_0.9.6.9-git20120427-1.dsc
  to main/f/falconpl/falconpl_0.9.6.9-git20120427-1.dsc
falconpl_0.9.6.9-git20120427-1_amd64.deb
  to main/f/falconpl/falconpl_0.9.6.9-git20120427-1_amd64.deb
falconpl_0.9.6.9-git20120427.orig.tar.gz
  to main/f/falconpl/falconpl_0.9.6.9-git20120427.orig.tar.gz
libfalcon-engine1-dbg_0.9.6.9-git20120427-1_amd64.deb
  to main/f/falconpl/libfalcon-engine1-dbg_0.9.6.9-git20120427-1_amd64.deb
libfalcon-engine1_0.9.6.9-git20120427-1_amd64.deb
  to main/f/falconpl/libfalcon-engine1_0.9.6.9-git20120427-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 460591@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Kartik Mistry <kartik@debian.org> (supplier of updated falconpl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 30 Apr 2012 13:53:01 +0530
Source: falconpl
Binary: libfalcon-engine1 libfalcon-engine1-dbg falconpl falconpl-dbg falconpl-dev falconpl-mongodb falconpl-curl falconpl-dbi falconpl-dbi-sqlite3 falconpl-dbi-mysql falconpl-dbi-postgresql falconpl-dbi-firebird falconpl-dbus falconpl-hpdf falconpl-dmtx falconpl-gd2 falconpl-gtk falconpl-sdl
Architecture: source amd64
Version: 0.9.6.9-git20120427-1
Distribution: unstable
Urgency: low
Maintainer: Kartik Mistry <kartik@debian.org>
Changed-By: Kartik Mistry <kartik@debian.org>
Description: 
 falconpl   - Falcon P.L. - command line tools
 falconpl-curl - Curl bindings for Falcon P.L
 falconpl-dbg - Falcon P.L. - debugging symbols
 falconpl-dbi - Database Abstraction Layer for Falcon P.L
 falconpl-dbi-firebird - Firebird SQL database abstraction layer for Falcon P.L
 falconpl-dbi-mysql - MySQL database abstraction layer for Falcon P.L
 falconpl-dbi-postgresql - PostgreSQL database abstraction layer for Falcon P.L
 falconpl-dbi-sqlite3 - SQLite3 database abstraction for Falcon P.L
 falconpl-dbus - DBus client functionality for Falcon scripts
 falconpl-dev - Falcon P.L. - development files
 falconpl-dmtx - Falcon module for reading Data Matrix barcodes
 falconpl-gd2 - Falcon graphic image manipulation module
 falconpl-gtk - Falcon GTK+ wrapper module
 falconpl-hpdf - Falcon module for generating PDF files
 falconpl-mongodb - MongoDB bindings for Falcon P.L
 falconpl-sdl - Falcon SDL wrapper module
 libfalcon-engine1 - Falcon Programming Language engine
 libfalcon-engine1-dbg - Falcon P.L. engine - debugging symbols
Closes: 460591
Changes: 
 falconpl (0.9.6.9-git20120427-1) unstable; urgency=low
 .
   [Vasudev Kamath]
   * Initial Release. (Closes: #460591)
   * Upstream Git stable snapshot, after discussing with upstream.
   * Packaging is based on Ubuntu package, Thanks!
   * debian/watch:
     + Now download link uses .tgz so adjusted uscan string.
   * debian/control:
     + Introduced module related binary packages.
   * debian/copyright:
     + Package license is FPL+GPLv2+OpenSSL exception now.
 .
   [Kartik Mistry]
   * debian/control:
     + Fixed Build-Deps and descriptions.
   * debian/copyright:
     + Added missing license for some source files.
Checksums-Sha1: 
 28a3248a977968ae638dd3e0a4772bef9ae3cbc8 2607 falconpl_0.9.6.9-git20120427-1.dsc
 8dbee0b599d94dd1bd5d6f576b029c578dae7efb 12375571 falconpl_0.9.6.9-git20120427.orig.tar.gz
 d919c40db06adbcd22757b5864e3e6bc544768f5 9971 falconpl_0.9.6.9-git20120427-1.debian.tar.gz
 c76665006df655703131348fd72343367380eef1 1778260 libfalcon-engine1_0.9.6.9-git20120427-1_amd64.deb
 011622072bb38cdea38da3e0a96dcc6ef49d8a21 379900 libfalcon-engine1-dbg_0.9.6.9-git20120427-1_amd64.deb
 f99d86e32ee1a66914e365bd25d4f832a3712246 118876 falconpl_0.9.6.9-git20120427-1_amd64.deb
 e091a704e069e58eeffcc29515c71495f2c1bfe3 50098 falconpl-dbg_0.9.6.9-git20120427-1_amd64.deb
 f652cbbceba6586c6d915cb85e90e2cf5cdcf26a 377192 falconpl-dev_0.9.6.9-git20120427-1_amd64.deb
 d258044aec96c2a2d00aa4b398a69e51f41a97e1 87848 falconpl-mongodb_0.9.6.9-git20120427-1_amd64.deb
 e0321fe103956d1e75f3002ebe1b6432b9c5d4df 75306 falconpl-curl_0.9.6.9-git20120427-1_amd64.deb
 be05bb16d51c5b6767f71b68c68c2c2f49cd682b 71510 falconpl-dbi_0.9.6.9-git20120427-1_amd64.deb
 10f690dff4f1f3fbde19a3779f0ac32bcfedfc59 68698 falconpl-dbi-sqlite3_0.9.6.9-git20120427-1_amd64.deb
 50d686a7ef8525cc660016041cef10572dddd3d6 75872 falconpl-dbi-mysql_0.9.6.9-git20120427-1_amd64.deb
 13e14a2d48349c97858e69a7afef7e57e812e6f2 67890 falconpl-dbi-postgresql_0.9.6.9-git20120427-1_amd64.deb
 f73ad5e5c5f9cce94f403b4f3eca1b591188cee6 76998 falconpl-dbi-firebird_0.9.6.9-git20120427-1_amd64.deb
 da733cdb718e929419ba5f89106bc95a007b7eea 59038 falconpl-dbus_0.9.6.9-git20120427-1_amd64.deb
 7b66b29220df73669cc719feb806ff9cd7570e8f 105386 falconpl-hpdf_0.9.6.9-git20120427-1_amd64.deb
 8f85e1e8bb95963a5286578ac5250559303397de 50400 falconpl-dmtx_0.9.6.9-git20120427-1_amd64.deb
 02efa80e0460b9c6ade21198bc4476ef52e7a179 84556 falconpl-gd2_0.9.6.9-git20120427-1_amd64.deb
 6ec91d221ba0b34e83f0a7f75a45e8eafe81e367 570482 falconpl-gtk_0.9.6.9-git20120427-1_amd64.deb
 15436d4ff248be8580af63fadb028e982b724bf1 168818 falconpl-sdl_0.9.6.9-git20120427-1_amd64.deb
Checksums-Sha256: 
 d9a227ee4f952122c0b5cc96d9f75bb2f8b6b17d1cefdf2ee1e3c57263a9f7be 2607 falconpl_0.9.6.9-git20120427-1.dsc
 4380f2fa3efccc789f4f332c69d2e435d3c81a5424f655e1680910f3e821807f 12375571 falconpl_0.9.6.9-git20120427.orig.tar.gz
 ca29420099808eb8b9488bb511b9abea61a67bb41e9f89ab5c40db100f8fcbc5 9971 falconpl_0.9.6.9-git20120427-1.debian.tar.gz
 3b14105e745ceb40aac506ba8c59f7421801179d003bd68ad22b48413e6c5b30 1778260 libfalcon-engine1_0.9.6.9-git20120427-1_amd64.deb
 3b47f5f738fdb03eee1097945abbd7785bb23515f56623d9fe292729367d04c2 379900 libfalcon-engine1-dbg_0.9.6.9-git20120427-1_amd64.deb
 d41db4fb4a81f177203011e4fb2358ddb81117b4ba822371c42da837b21d70df 118876 falconpl_0.9.6.9-git20120427-1_amd64.deb
 50e33acac90addfea16c4801fbb1b782e7d23f6314c7135541ac4e0dd0e0f9d3 50098 falconpl-dbg_0.9.6.9-git20120427-1_amd64.deb
 51845c51b7fb68f5abdf4cbade566b57c5b46d709d5f023bbb681569ea6ed84f 377192 falconpl-dev_0.9.6.9-git20120427-1_amd64.deb
 b54456de8930a9c3299af2cc79644889dfba744bc6d453c1e79866c2797aa9d6 87848 falconpl-mongodb_0.9.6.9-git20120427-1_amd64.deb
 fa75a0b7eb0ff39695fbf6251c6d9201e1050ca4ea50b0d2f4ab9899180430b1 75306 falconpl-curl_0.9.6.9-git20120427-1_amd64.deb
 bdea81ebd943c83ef45bfa29bbddf15cdd043fb6b386c25a417457bb390de8df 71510 falconpl-dbi_0.9.6.9-git20120427-1_amd64.deb
 7241df41e362c577a95f78f26b01062bba1e807fde0970ad0dba60f136602ea0 68698 falconpl-dbi-sqlite3_0.9.6.9-git20120427-1_amd64.deb
 fb9e578528c6371072850f4d80e217e863a1410504c925327fcddf3b0a201d41 75872 falconpl-dbi-mysql_0.9.6.9-git20120427-1_amd64.deb
 c7eb234f5cb51e7b71c0c395d9124f429fa76560cebe560e0c7ed83ae8ab9d8d 67890 falconpl-dbi-postgresql_0.9.6.9-git20120427-1_amd64.deb
 1ef3457b81abb81e9c013cb08162b92a5c91aa9991c37ad84f2463f1ee8b7736 76998 falconpl-dbi-firebird_0.9.6.9-git20120427-1_amd64.deb
 4da0d818970b5ba6d510a186d62937b2b0d6cb99ef14294122fdef9838f54c0b 59038 falconpl-dbus_0.9.6.9-git20120427-1_amd64.deb
 f92fbd6eff84b861fb060cf8d3f58a0e22eb6da055c24b9ca222fa4c15e4aebc 105386 falconpl-hpdf_0.9.6.9-git20120427-1_amd64.deb
 7e7b26cf5f8de03d6500bfd25cdeb537cbcd197b2ce1deebcde435b00ec9c03d 50400 falconpl-dmtx_0.9.6.9-git20120427-1_amd64.deb
 2152de3486969dd4117cc1ea98a5dc1a0ac9a9ca3497769d3789ec75a21d8f4d 84556 falconpl-gd2_0.9.6.9-git20120427-1_amd64.deb
 f34222f8a679b45ce8e34acd2e082f13dd1251f9076cffa0083629a49efad02f 570482 falconpl-gtk_0.9.6.9-git20120427-1_amd64.deb
 b7383171a767f98d75ae93b06d9457d1231cf7fc1acab9e264779a69f9d96002 168818 falconpl-sdl_0.9.6.9-git20120427-1_amd64.deb
Files: 
 52ea495d25441f3013d19306a70c8190 2607 interpreters optional falconpl_0.9.6.9-git20120427-1.dsc
 404aa5860f9e914092ba8e9ce1f6982f 12375571 interpreters optional falconpl_0.9.6.9-git20120427.orig.tar.gz
 0408f5df213fd8c7e962b57363b30484 9971 interpreters optional falconpl_0.9.6.9-git20120427-1.debian.tar.gz
 ec5386e3a6ad6d2787253973f2b7d5aa 1778260 libs optional libfalcon-engine1_0.9.6.9-git20120427-1_amd64.deb
 c2ad5d16538d9fe840e513f657bb298d 379900 debug extra libfalcon-engine1-dbg_0.9.6.9-git20120427-1_amd64.deb
 f5fda812956d77daabd052556e0c7c49 118876 interpreters optional falconpl_0.9.6.9-git20120427-1_amd64.deb
 fc8a1157c6043827c482e662f1ec29df 50098 debug extra falconpl-dbg_0.9.6.9-git20120427-1_amd64.deb
 e0302548c5ebbc7e433547681909bfc6 377192 devel optional falconpl-dev_0.9.6.9-git20120427-1_amd64.deb
 e304460cd45db041e90400a120b42c18 87848 devel optional falconpl-mongodb_0.9.6.9-git20120427-1_amd64.deb
 98d7e74b69ee5ffd74b68d9c57336e9d 75306 devel optional falconpl-curl_0.9.6.9-git20120427-1_amd64.deb
 3c67100eb16ec51f39b9feb198c3c758 71510 devel optional falconpl-dbi_0.9.6.9-git20120427-1_amd64.deb
 9c39dd697b0def460770ab334a23b543 68698 devel optional falconpl-dbi-sqlite3_0.9.6.9-git20120427-1_amd64.deb
 ca518740634c3539bcdcad53a8d82ed1 75872 devel optional falconpl-dbi-mysql_0.9.6.9-git20120427-1_amd64.deb
 8c39dd18f2c087259f7dc80e80ec2863 67890 devel optional falconpl-dbi-postgresql_0.9.6.9-git20120427-1_amd64.deb
 f8f1f988d864c882a3e198dab2cd45e1 76998 devel optional falconpl-dbi-firebird_0.9.6.9-git20120427-1_amd64.deb
 617e0e968cf58ea31e26272cd15327ff 59038 devel optional falconpl-dbus_0.9.6.9-git20120427-1_amd64.deb
 2ecb51e098efe3b8b21784c149db2fb4 105386 devel optional falconpl-hpdf_0.9.6.9-git20120427-1_amd64.deb
 e68366ae229c23cb6ee6e415bf5f6066 50400 devel optional falconpl-dmtx_0.9.6.9-git20120427-1_amd64.deb
 f5d9ea270468e042fe078f7d91d31254 84556 devel optional falconpl-gd2_0.9.6.9-git20120427-1_amd64.deb
 0d9ab3c86ca6d97019973d55c94c659d 570482 devel optional falconpl-gtk_0.9.6.9-git20120427-1_amd64.deb
 bdcf8fcf87eef19cf22a5832d96ddd6d 168818 devel optional falconpl-sdl_0.9.6.9-git20120427-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk+eoUsACgkQoRg/jtECjI2c4QCgpKHPisa4uLr7lqM5PGYuqnrq
B8AAnRtzmNftjPMBCwt2s/GPbiAIv4ab
=lWDc
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2012 07:49:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 16:26:54 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.